Download it now!
Bug 59511 - Borders shown wrongly for cells with 45° rotated text
Summary: Borders shown wrongly for cells with 45° rotated text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2013-01-17 10:40 UTC by Xisco Faulí
Modified: 2019-11-09 13:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example (11.46 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-17 10:40 UTC, Xisco Faulí
Details
An .ods test case, with single and merged cells (11.88 KB, application/vnd.sun.xml.calc)
2013-03-12 02:46 UTC, Jim Avera
Details
Screen-shot showing .ods test case under LO 3.6.2.2 (72.40 KB, image/png)
2013-03-12 02:48 UTC, Jim Avera
Details
example compared in MSO 2013 and LO 6.4+ (107.48 KB, image/jpeg)
2019-11-09 12:53 UTC, Timur
Details
An .ods test case, compared in LO5.4 and LO6.4+ (115.12 KB, image/jpeg)
2019-11-09 13:07 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2013-01-17 10:40:35 UTC
Created attachment 73184 [details]
example

The attached file shows the differences between a column with and without borders.
Comment 1 Kohei Yoshida 2013-01-17 15:38:29 UTC
Confirmed.  Opening the attachment (you need to save as from the browser btw due to wrong mime type) in Calc and Excel 2007 show the difference.
Comment 2 Jim Avera 2013-03-12 02:40:28 UTC
Confirming this, or at least a similar bug, exists in 3.6.2.2 on Unbutu Linux.  

In my case single-cell borders seem okay, but borders of merged cells are fractured wierdly if slanted (similar to Xisco Fauli's example).

I'll attach a .ods test case and screen shot.
Comment 3 Jim Avera 2013-03-12 02:46:24 UTC
Created attachment 76355 [details]
An .ods test case, with single and merged cells
Comment 4 Jim Avera 2013-03-12 02:48:59 UTC
Created attachment 76356 [details]
Screen-shot showing .ods test case under LO 3.6.2.2
Comment 5 QA Administrators 2015-04-19 03:23:05 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2015-04-20 15:38:48 UTC
This issue is still reproducible with

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
OS: Windows 7 64bits
Comment 7 csw 2016-08-09 21:58:56 UTC
This issue is still reproducible with

Version: 5.1.4.2
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 8; OS Version: Mac OS X 10.11.5; UI Render: default; 
Locale: en-US (en.UTF-8)
Comment 8 QA Administrators 2017-09-01 11:20:25 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2017-09-04 20:44:28 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 10 Timur 2018-11-08 16:47:39 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-11-09 03:53:42 UTC Comment hidden (obsolete)
Comment 12 Timur 2019-11-09 12:53:28 UTC
Created attachment 155654 [details]
example compared in MSO 2013 and LO 6.4+

(In reply to Xisco Faulí from comment #0)
> Created attachment 73184 [details]
> example
Example is XLSX and here is compared in MSO 2013 and LO 6.4+. Different.
Comment 13 Timur 2019-11-09 13:07:54 UTC
Created attachment 155655 [details]
An .ods test case, compared in LO5.4 and LO6.4+

(In reply to Jim Avera from comment #4)
> Created attachment 76356 [details]
> Screen-shot showing .ods test case under LO 3.6.2.2
So, ODS was similar from 3.6 to 5.4 and later borders were changed as shown in 6.2 and 6.4+.  It's better but still not OK.